jclouds-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guenther Thomsen <Guenther.Thom...@hds.com>
Subject RE: [DISCUSS] Java 6 support
Date Wed, 28 May 2014 21:40:43 GMT
> jclouds presently supports Java 6, 7, and 8 which imposes extra
> development costs and prevents uptake of new language and library
> features including try-with-resources, NIO.2, and HTTP client
> improvements.  Oracle ceased public updates to Java 6 in early 2013[1]
> and jclouds could use this to guide its support strategy.  The jclouds
> developers would like to understand how many users continue to use Java
> 6 and what prevents upgrading to newer versions.  Please respond to this
> thread with any relevant information.  Thanks!

OpenJDK v6 is still default on Debian Wheezy (the current stable version). Said that the project
I'm working on is still (and will be for the foreseeable future) bound to Debian Lenny ;-/
We will have to squeeze in a more recent JVM anyway, so never mind.

~ Guenther



Mime
View raw message